Validate Waitlist Claim Link
curl --request POST \
--url https://api.marzipan.co/v1/events/waitlist/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventWaitlist": "1a2b3c4d-5e6f-4071-8a9b-0c1d2e3f4a5b",
"expires": "1786000000",
"signature": "9f8e7d6c5b4a3928170615243342515e6d7c8b9a0f1e2d3c4b5a6978"
}
'import requests
url = "https://api.marzipan.co/v1/events/waitlist/validate"
payload = {
"eventWaitlist": "1a2b3c4d-5e6f-4071-8a9b-0c1d2e3f4a5b",
"expires": "1786000000",
"signature": "9f8e7d6c5b4a3928170615243342515e6d7c8b9a0f1e2d3c4b5a6978"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventWaitlist: '1a2b3c4d-5e6f-4071-8a9b-0c1d2e3f4a5b',
expires: '1786000000',
signature: '9f8e7d6c5b4a3928170615243342515e6d7c8b9a0f1e2d3c4b5a6978'
})
};
fetch('https://api.marzipan.co/v1/events/waitlist/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true,
"quantity": 2,
"eventName": "Summer Jazz Night",
"eventId": "3f1c9d20-5b8e-4c11-a2d7-6e9f0a1b2c3d",
"expiresAt": "2026-08-10T18:00:00Z"
}{
"message": "The event waitlist field is required.",
"errors": {
"eventWaitlist": [
"The event waitlist field is required."
]
}
}Events
Validate Waitlist Claim Link
Validate a signed waitlist claim link and return the entry details needed to complete a claim. The link is verified against its signature and expiry, and the entry must be in a claimable (promoted) state.
POST
/
events
/
waitlist
/
validate
Validate Waitlist Claim Link
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your API token.
Body
application/json
⌘I

